<template>
  <div class="dashboard">
    <Navbar />
    <div class="container-fluid mt-3 padding">
      <div class="padding">
        <div class="row justify-content-center">
          <div class="col-12 col-md-3">
            <div class="card mb-3 bg-secondary" style="max-width: 540px;">
              <div class="row no-gutters">
                <div class="col-4 text-center m-auto">
                  <i class="fas fa-mask fa-5x"></i>
                </div>
                <div class="col-8">
                  <div class="card-body">
                    <h3 class="card-title font-weight-bold">{{total}}</h3>
                    <p class="card-text">Heroes y Villanos registrados</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-3">
            <div class="card mb-3 bg-info" style="max-width: 540px;">
              <div class="row no-gutters">
                <div class="col-4 text-center m-auto">
                  <i class="fas fa-pencil-alt fa-5x"></i>
                </div>
                <div class="col-8">
                  <div class="card-body">
                    <h3 class="card-title font-weight-bold">{{totalUsuario}}</h3>
                    <p class="card-text">Registrados por mi</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <Footer />
  </div>
</template>

<script>
import Navbar from '@/components/Navbar'
import Footer from '@/components/Footer'
import { mapState } from 'vuex'

export default {
  created() {
    this.getData()
  },
  data() {
    return {
      total: 0,
      totalUsuario: 0
    }
  },
  components: {
    Navbar, Footer
  },
  methods: {
    getData() {
      let config = {
        headers: {
          'Accept': 'application/json',
          'Authorization': `Bearer ${this.token.token}`,
          'apikey': this.usuario.apikey
        }
      }
      this.axios.get('/v1/dashboard', config)
        .then(res => {
          this.total = res.data?.body?.dashboard.total || 0
          this.totalUsuario = res.data?.body?.dashboard.totalUsuario || 0
        })
    }
  },
  computed: {
    ...mapState('usuario', ['usuario', 'token'])
  }
}
</script>
